package com.ekexiu.project.bridge.resource.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.annotation.entry.Unique;
import org.jfw.apt.orm.annotation.entry.Uniques;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.project.bridge.base.po.BaseTable;


@Uniques({@Unique(clolumns="shortName",name="UC_BRIDEG_SHORTNAME"),@Unique(clolumns="name",name="UC_BRIDEG_TNAME")})
@PrimaryKey("id")
@Table(descp="桥梁信息")
public class Bridge  implements BaseTable{
	private String createTime;
	private String modifyTime;
	private String creator;
	private String modifier;
	
	private String id;
	private String code;
	private String shortName;
	private String name;
	private String addrCode;
	private String serviceDay;
	private String location;
	private String descp;
	private String remark;
	private String img;
	private String org;
	private String phone;
	private String email;
	
	private boolean active;
	
	
	@Column(descp="id",value=DE.id_32)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(descp="是否可用",value=DE.boolean_de)	
	public boolean isActive() {
		return active;
	}
	public void setActive(boolean active) {
		this.active = active;
	}
	@Column(descp="桥梁编号",value=DE.text_de)
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	@Column(descp="桥梁简称",value=DE.text_de)
	public String getShortName() {
		return shortName;
	}
	public void setShortName(String shortName) {
		this.shortName = shortName;
	}
	@Column(descp="桥梁名称（全称）",value=DE.text_de)
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@Column(descp="桥梁政区划编码",value=DE.text_de)
	public String getAddrCode() {
		return addrCode;
	}
	public void setAddrCode(String addrCode) {
		this.addrCode = addrCode;
	}

	@Column(descp="桥梁开通日期（YYYYMMDD）",value=DE.Text_de)
	public String getServiceDay() {
		return serviceDay;
	}
	public void setServiceDay(String serviceDay) {
		this.serviceDay = serviceDay;
	}
	@Column(descp="桥梁定位",value=DE.text_de)
	public String getLocation() {
		return location;
	}
	
	public void setLocation(String location) {
		this.location = location;
	}
	@Column(descp="桥梁详细描述",value=DE.Text_de)
	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
	@Column(descp="桥梁备注",value=DE.Text_de)
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	@Column(descp="",value=DE.text_de)
	public String getImg() {
		return img;
	}
	public void setImg(String img) {
		this.img = img;
	}
	@Column(descp="桥梁维护机构名称",value=DE.text_de)
	public String getOrg() {
		return org;
	}
	public void setOrg(String org) {
		this.org = org;
	}
	@Column(descp="桥梁维护机构电话",value=DE.text_de)
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	@Column(descp="桥梁维护机构电邮",value=DE.Text_de)
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	
	
	
}
