package com.ekexiu.project.bridge.resource.po;

import com.ekexiu.project.bridge.base.po.BaseTable;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.annotation.entry.Unique;
import org.jfw.apt.orm.annotation.entry.Uniques;
import org.jfw.apt.orm.core.enums.DE;

@Uniques({@Unique(clolumns = "code",name="UC_TRANSDUCER_CODE")})
@PrimaryKey("id")
@Table(descp="传感器")
public class Transducer implements BaseTable {
	private String id;
	private String code;
	private String deviceId;
	private int seq;
	private String cableType;
	private String locType;
	private String remark;
	private String serverId;
	private boolean active;
	
	private String createTime;
	private String modifyTime;
	private String creator;
	private String modifier;
	
	
	@Column(descp="id",value=DE.id_32)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(descp="内部编号",value=DE.int_de)
	public int getSeq() {
		return seq;
	}
	public void setSeq(int seq) {
		this.seq = seq;
	}
	@Column(descp="采集盒编号",value=DE.text_de)
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	@Column(descp="传感器编号",value=DE.text_de)
	public String getDeviceId() {
		return deviceId;
	}
	public void setDeviceId(String deviceId) {
		this.deviceId = deviceId;
	}
	@Column(descp="传感器所在主缆(dict)",value=DE.text_de)
	public String getCableType() {
		return cableType;
	}
	public void setCableType(String cableType) {
		this.cableType = cableType;
	}
	@Column(descp="传感器所在位置(dict)",value=DE.text_de)
	public String getLocType() {
		return locType;
	}
	public void setLocType(String locType) {
		this.locType = locType;
	}
	@Column(descp="备注",value=DE.Text_de)
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	@Column(descp="服务器ID",value = DE.text_de)
	public String getServerId() {
		return serverId;
	}
	public void setServerId(String serverId) {
		this.serverId = serverId;
	}
	@Column(descp="是否可用",value=DE.boolean_de)	
	public boolean isActive() {
		return active;
	}
	public void setActive(boolean active) {
		this.active = active;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	
	
	
	
}
